%define name		webmacro
%define version		1.0.1
%define release		1jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Java-based template engine
License:	GPL
URL:		http://www.webmacro.org/
Source0:	http://www.webmacro.org/webmacro/%{name}-%{version}.tgz
Requires:	servlet
BuildRequires:	ant
BuildRequires:	servlet
Group:		Development/Java
Buildarch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Vendor:		JPackage Project
Distribution:	JPackage

%description
WebMacro is a free Java development package that allows you to keep
HTML and presentational issues out of your Java servlet code--while
providing web designers with a simple template language capable of
displaying any Java object.

%package manual
Summary:	Manual for %{name}
Group:		Development/Java

%description manual
Documentation for %{name}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description javadoc
Javadoc for %{name}.

%package demo
Summary:	Demo for %{name}
Group:		Development/Java
Requires:	%{name} = %{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
jar xf %{name}-src.jar
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=%{javadir}/servlet.jar
mkdir lib # either do this or patch build.xml... :)
ant jar javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 %{name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr examples $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CONFIGURING-* CREDITS GPL LICENSE POLICY readme.html RELEASE-NOTES
%doc setup.html SPL UPGRADE
%{javadir}/*

%files manual
%defattr(-,root,root,-)
%doc tutorial/*

%files javadoc
%defattr(-,root,root,-)
%{javadocdir}/%{name}-%{version}

%files demo
%defattr(-,root,root,-)
%{_datadir}/%{name}

%changelog
* Tue Jul 16 2002 Ville Skytt <ville.skytta at iki.fi> 1.0.1-1jpp
- Update to 1.0.1.
- Use sed instead of bash 2 extension when symlinking jars during build.
- Remove prerelease stuff from spec file.
- Add Distribution tag.

* Mon Mar 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.rc2.4jpp 
- generic servlet support

* Mon Jan 21 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.rc2.3jpp 
- used versioned dir for javadoc
- adaptation for new servlet3 package
- no dependencies for manual and javadoc packages
- stricter dependencies for demo packages
- section macro

* Fri Dec 7 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.rc2.2jpp
- javadoc into javadoc package

* Fri Nov 09 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.0-0.rc2.1jpp
- rc2

* Sun Oct 28 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.rc1.1jpp
- first JPackage release
